воскресенье, 3 марта 2013 г.

Invalid command 'RPAFheader', perhaps misspelled or defined by a module not included in the server configuration

Была обнаружена очередная бага дебиляна, связанная с древностью их софта.
Invalid command 'RPAFheader', perhaps misspelled or defined by a module not included in the server configuration
И это дебилян 6!
Дело в том, что опция появилась в rpaf версии 0.6, а это 2+ года уже прошло.

Если эта опция нужна -- есть несколько костылей вроде хитрого макроса (?)
http://www.rootdamnit.eu/2012/09/24/varnish-and-apache-rpaf-invalid-command-rpafheader/
http://serverfault.com/questions/340500/varnish-forward-client-ip-address-to-backend
или сборки свежего модуля

#apt-get install apache2-prefork-dev
а после этого собирать из исходников mod_rpaf для Apache2

http://blog.dd0s.ru/2012/10/02/debian-6-apache2-mod_rpaf-nginx-invalid-command-rpafheader.htm

Комментариев нет:

Отправить комментарий